Bug 11806 - [S60] S60 - Variant testing - S60 3.1 wk46: Browser: Hebrew chracters become mirrored and aligned to the left when search field is not in focus
: [S60] S60 - Variant testing - S60 3.1 wk46: Browser: Hebrew chracters become ...
Status: CLOSED FIXED
Product: WebKit
Classification: Unclassified
Component: Forms
: 420+
: S60 Emulator S60 3rd edition
: P2 Critical
Assigned To: Nobody
http://www.nana.co.il
: PlatformOnly
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-11 11:05 PST by Wei Liu
Modified: 2011-03-21 11:52 PDT (History)
0 users

See Also:


Attachments
Fix in form control input skin (3.58 KB, patch)
2006-12-11 11:32 PST, Wei Liu
yongjun.zhang: review+
Details | Formatted Diff | Diff
3.1 patch fix in form input skin. (3.61 KB, patch)
2006-12-11 12:20 PST, Wei Liu
yongjun.zhang: review+
Details | Formatted Diff | Diff
new patch (3.2 branch) which include form input skin fix and flagged for SDK (4.94 KB, patch)
2006-12-11 13:37 PST, Wei Liu
yongjun.zhang: review+
Details | Formatted Diff | Diff
new patch (3.1 branch) which include form input skin fix and flagged for SDK (4.88 KB, patch)
2006-12-11 13:38 PST, Wei Liu
yongjun.zhang: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Wei Liu 2006-12-11 11:05:15 PST
TSW Error ID: TINA-6VUD7P

Go to www.nana.co.il or any other site which has search field and input Hebrew words in to the field
When Hebrew word is complete unfocus the search field by pressing the selection key or taking the pointing arrow to the search button

Expected results:
After the search field is not in focus anymore, Hebrew characters stay aligned to the right of the field and not reversed/mirrored

Actual problem:
When Hebrew word is inserted in to the search field and the field is not in focus anymore, the word jumps to the left of the field and becomes reversed/mirrored - means that user has to read the word form left to right to understand what is written.
Also in sub-window (appears with the words when typing a similiar word in search field) the layout is wrong
Comment 1 Wei Liu 2006-12-11 11:32:03 PST
Created attachment 11803 [details]
Fix in form control input skin
Comment 2 Yongjun Zhang 2006-12-11 11:59:03 PST
Comment on attachment 11803 [details]
Fix in form control input skin

r=me
Comment 3 Yongjun Zhang 2006-12-11 12:01:13 PST
Completed: At revision: 18156  
Comment 4 Wei Liu 2006-12-11 12:20:22 PST
Created attachment 11805 [details]
3.1 patch fix in form input skin.
Comment 5 Yongjun Zhang 2006-12-11 12:22:28 PST
Comment on attachment 11805 [details]
3.1 patch fix in form input skin.

r=me
Comment 6 Yongjun Zhang 2006-12-11 12:26:05 PST
Completed: At revision: 18157  
Comment 7 Wei Liu 2006-12-11 13:37:28 PST
Created attachment 11807 [details]
new patch (3.2 branch) which include form input skin fix and flagged for SDK
Comment 8 Wei Liu 2006-12-11 13:38:21 PST
Created attachment 11808 [details]
new patch (3.1 branch) which include form input skin fix and flagged for SDK
Comment 9 Yongjun Zhang 2006-12-11 14:19:51 PST
Comment on attachment 11807 [details]
new patch (3.2 branch) which include form input skin fix and flagged for SDK

r=me
Comment 10 Yongjun Zhang 2006-12-11 14:20:22 PST
Comment on attachment 11808 [details]
new patch (3.1 branch) which include form input skin fix and flagged for SDK

r=me
Comment 11 Yongjun Zhang 2006-12-11 14:21:02 PST
new patches are committed to r18160.
Comment 12 Krishna 2007-01-12 13:17:11 PST
Verified and Closed.
Comment 13 Joel Parks 2011-03-21 11:52:55 PDT
re-purposing InTSW keyword for use by QtWebkit team